Skip to main content
Query edge application instances
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Query Parameters

project
string

User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed

bundle
string

User defined name of the app instance, unique across the enterprise. Once app instance is created, name can’t be changed

device
string

User defined name of the device, unique across the enterprise. Once device is created, name can’t be changed

namePattern
string

name pattern

appType
integer<int32>

type of bundle

deploymentType
enum<string>
default:DEPLOYMENT_TYPE_UNSPECIFIED

type of deployment for the app, eg: azure, k3s, standalone

Available options:
DEPLOYMENT_TYPE_UNSPECIFIED,
DEPLOYMENT_TYPE_STAND_ALONE,
DEPLOYMENT_TYPE_AZURE,
DEPLOYMENT_TYPE_K3S,
DEPLOYMENT_TYPE_AWS,
DEPLOYMENT_TYPE_K3S_AZURE,
DEPLOYMENT_TYPE_K3S_AWS,
DEPLOYMENT_TYPE_VMWARE_VCE,
DEPLOYMENT_TYPE_VMWARE_TKG_ATTACH,
DEPLOYMENT_TYPE_DOCKER_RUNTIME
projectNamePattern
string

project name pattern

deviceNamePattern
string

device name pattern

summary
boolean

summary flag

titlePattern
string

title pattern

next.pageToken
string

Page Token

next.orderBy
string[]

OrderBy helps in sorting the list response

next.pageNum
number<int64>

Page Number

next.pageSize
number<int64>

Defines the page size

next.totalPages
number<int64>

Total number of pages to be fetched.

fields
string[]

Fields to select: id, name, title, description, projectId, tags, clusterID, appId, deviceId, manifestInfo, appType, appPolicyId, userDefinedVersion, remoteConsole

Response

A successful response.

summaryByState
Summary is used to store the Summary details · object

app instance by summary

list
App Instance detail · object[]

app insatance list response

next
Cursor is used as filter in list operation. · object

cursor next